#include <unistd.h>
#include <stdlib.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <kernel/dev.h>
#include <stdio.h>
//----------------------------------------------------------------------
int
main (void)
{
  int status;
  //
  status = mknod ("mem", (mode_t) (S_IFCHR | 0444), (dev_t) DEV_MEM);
  if (status)
    perror (NULL);
  status = mknod ("null", (mode_t) (S_IFCHR | 0666), (dev_t) DEV_NULL);
  if (status)
    perror (NULL);
  status = mknod ("port", (mode_t) (S_IFCHR | 0644), (dev_t) DEV_PORT);
  if (status)
    perror (NULL);
  status = mknod ("zero", (mode_t) (S_IFCHR | 0666), (dev_t) DEV_ZERO);
  if (status)
    perror (NULL);
  status = mknod ("tty", (mode_t) (S_IFCHR | 0666), (dev_t) DEV_TTY);
  if (status)
    perror (NULL);
  status = mknod ("kmem_ps", (mode_t) (S_IFCHR | 0444),
		  (dev_t) DEV_KMEM_PS);
  if (status)
    perror (NULL);
  status = mknod ("kmem_mmp", (mode_t) (S_IFCHR | 0444),
		  (dev_t) DEV_KMEM_MMP);
  if (status)
    perror (NULL);
  status = mknod ("kmem_sb", (mode_t) (S_IFCHR | 0444),
		  (dev_t) DEV_KMEM_SB);
  if (status)
    perror (NULL);
  status = mknod ("kmem_inode", (mode_t) (S_IFCHR | 0444),
		  (dev_t) DEV_KMEM_INODE);
  if (status)
    perror (NULL);
  status = mknod ("kmem_file", (mode_t) (S_IFCHR | 0444),
		  (dev_t) DEV_KMEM_FILE);
  if (status)
    perror (NULL);
  status = mknod ("console", (mode_t) (S_IFCHR | 0644),
		  (dev_t) DEV_CONSOLE);
  if (status)
    perror (NULL);
  status = mknod ("console0", (mode_t) (S_IFCHR | 0644),
		  (dev_t) DEV_CONSOLE0);
  if (status)
    perror (NULL);
  status = mknod ("console1", (mode_t) (S_IFCHR | 0644),
		  (dev_t) DEV_CONSOLE1);
  if (status)
    perror (NULL);
  status = mknod ("console2", (mode_t) (S_IFCHR | 0644),
		  (dev_t) DEV_CONSOLE2);
  if (status)
    perror (NULL);
  status = mknod ("console3", (mode_t) (S_IFCHR | 0644),
		  (dev_t) DEV_CONSOLE3);
  if (status)
    perror (NULL);

  status = mknod ("dm00", (mode_t) (S_IFBLK | 0644), (dev_t) DEV_DM00);
  if (status)
    perror (NULL);
  status = mknod ("dm01", (mode_t) (S_IFBLK | 0644), (dev_t) DEV_DM01);
  if (status)
    perror (NULL);
  status = mknod ("dm02", (mode_t) (S_IFBLK | 0644), (dev_t) DEV_DM02);
  if (status)
    perror (NULL);
  status = mknod ("dm03", (mode_t) (S_IFBLK | 0644), (dev_t) DEV_DM03);
  if (status)
    perror (NULL);
  status = mknod ("dm04", (mode_t) (S_IFBLK | 0644), (dev_t) DEV_DM04);
  if (status)
    perror (NULL);
  status = mknod ("dm10", (mode_t) (S_IFBLK | 0644), (dev_t) DEV_DM10);
  if (status)
    perror (NULL);
  status = mknod ("dm11", (mode_t) (S_IFBLK | 0644), (dev_t) DEV_DM11);
  if (status)
    perror (NULL);
  status = mknod ("dm12", (mode_t) (S_IFBLK | 0644), (dev_t) DEV_DM12);
  if (status)
    perror (NULL);
  status = mknod ("dm13", (mode_t) (S_IFBLK | 0644), (dev_t) DEV_DM13);
  if (status)
    perror (NULL);
  status = mknod ("dm14", (mode_t) (S_IFBLK | 0644), (dev_t) DEV_DM14);
  if (status)
    perror (NULL);
  status = mknod ("dm20", (mode_t) (S_IFBLK | 0644), (dev_t) DEV_DM20);
  if (status)
    perror (NULL);
  status = mknod ("dm21", (mode_t) (S_IFBLK | 0644), (dev_t) DEV_DM21);
  if (status)
    perror (NULL);
  status = mknod ("dm22", (mode_t) (S_IFBLK | 0644), (dev_t) DEV_DM22);
  if (status)
    perror (NULL);
  status = mknod ("dm23", (mode_t) (S_IFBLK | 0644), (dev_t) DEV_DM23);
  if (status)
    perror (NULL);
  status = mknod ("dm24", (mode_t) (S_IFBLK | 0644), (dev_t) DEV_DM24);
  if (status)
    perror (NULL);
  status = mknod ("dm30", (mode_t) (S_IFBLK | 0644), (dev_t) DEV_DM30);
  if (status)
    perror (NULL);
  status = mknod ("dm31", (mode_t) (S_IFBLK | 0644), (dev_t) DEV_DM31);
  if (status)
    perror (NULL);
  status = mknod ("dm32", (mode_t) (S_IFBLK | 0644), (dev_t) DEV_DM32);
  if (status)
    perror (NULL);
  status = mknod ("dm33", (mode_t) (S_IFBLK | 0644), (dev_t) DEV_DM33);
  if (status)
    perror (NULL);
  status = mknod ("dm34", (mode_t) (S_IFBLK | 0644), (dev_t) DEV_DM34);
  if (status)
    perror (NULL);
  //
  return (0);
}
