.global _in_32
#-----------------------------------------------------------------------
.section .text
#-----------------------------------------------------------------------
# Port input word.
#-----------------------------------------------------------------------
_in_32:
    enter $4, $0                # 1 local variable.
    pushf
    pusha
    .equ IN_PORT,  8            # First argument.
    .equ IN_DATA, -4            # Local variable.
    mov  IN_PORT(%ebp), %edx    # Copy the port number into EDX, but
                                # then only DX will be used.
    mov   $0, %eax              # Reset EAX.
    inl   %dx, %eax             # Read DX port  and save into EAX.
    mov   %eax, IN_DATA(%ebp)   # Save EAX inside the local variable.
    popa
    popf
    mov   IN_DATA(%ebp), %eax   # Restore EAX and return.
    leave
    ret
