#ifndef _KERNEL_LIB_K_H
#define _KERNEL_LIB_K_H        1
//----------------------------------------------------------------------
#include <restrict.h>
#include <size_t.h>
#include <stdarg.h>
#include <stdint.h>
#include <time.h>
#include <unistd.h>
#include <kernel/lib_s.h>
//----------------------------------------------------------------------
void         k_exit     (void);
unsigned int k_sleep    (unsigned int seconds);
int          k_usleep   (useconds_t usec);
char        *k_gets     (char *s);
void         k_perror   (const char *s);
int          k_printf   (const char *restrict format, ...);
int          k_stime    (time_t *timer);
int          k_vprintf  (const char *restrict format, va_list arg);
int          k_vsprintf (char *restrict string,
                         const char *restrict format,
                         va_list arg);
//clock_t      k_clock    (void);
#define      k_clock()  (s_clock ((uid_t) 0))
#define      k_time(t)  (s_time ((pid_t) 0, t))
//----------------------------------------------------------------------
#endif
