#ifndef __GCC_H
#define __GCC_H        1
//----------------------------------------------------------------------
#include <stdlib.h>
//----------------------------------------------------------------------
typedef struct {
    unsigned long long int quot;
    unsigned long long int rem;
} ulldiv_t;
//----------------------------------------------------------------------
lldiv_t                _lldiv    (long long int dividend,
                                  long long int divisor);
ulldiv_t               _ulldiv   (unsigned long long int dividend,
                                  unsigned long long int divisor);
//----------------------------------------------------------------------
unsigned long long int __udivdi3 (unsigned long long int dividend,
                                  unsigned long long int divisor);
unsigned long long int __umoddi3 (unsigned long long int dividend,
                                  unsigned long long int divisor);
long long int          __divdi3  (long long int dividend,
                                  long long int divisor);
long long int          __moddi3  (long long int dividend,
                                  long long int divisor);
//----------------------------------------------------------------------
#endif
