#include <unistd.h>
#include <string.h>
#include <stdlib.h>
#include <errno.h>
#include <sys/os32.h>
//----------------------------------------------------------------------
int
execvp (const char *path, char *const argv[])
{
    char  command[PATH_MAX];
    int   status;
    //
    // Get a full command path if necessary.
    //
    status = namep (path, command, (size_t) PATH_MAX);
    if (status != 0)
      {
	//
	// Variable `errno' is already set by `namep()'.
	//
        return (-1);
      }
    //
    // Return calling `execve()'
    //
    return (execve (command, argv, environ));	// [1]
}
//
// The variable `environ' is declared as `char **environ' and is
// included from <unistd.h>.
//
