#ifndef _KERNEL_DM_H
#define _KERNEL_DM_H    1
//----------------------------------------------------------------------
#include <stdint.h>
#include <sys/types.h>
#include <kernel/part.h>
//----------------------------------------------------------------------
#define DM_MAX_DEVICES   4
#define DM_TYPE_NONE     0
#define DM_TYPE_ATA      1
//
typedef struct {
    int   type;
    void *table;
    struct {
        off_t   start;
        size_t  size;
        uint8_t type;
    } part[PART_MAX+1];
} dm_t;
//
extern dm_t dm_table[DM_MAX_DEVICES];
//----------------------------------------------------------------------
void   dm_init   (void);
//----------------------------------------------------------------------
#endif
