#include <kernel/net/arp.h>
#include <kernel/net/ip.h>
#include <kernel/lib_k.h>
#include <string.h>
//----------------------------------------------------------------------
void
arp_clean (void)
{
  int a;        // ARP table index.
  //
  time_t time_min = k_time (NULL) - ARP_MAX_TIME;
  //
  //
  //
  for (a = 0; a < ARP_MAX_ITEMS; a++)
    {
      if (arp_table[a].time < time_min)
        {
          //
          // Too old: reset the item to all zeroes.
          //
          memset (&arp_table[a], 0x00, sizeof (arp_table[a]));
        }
    }
}
