#include <kernel/proc.h>
//----------------------------------------------------------------------
void
proc_available (pid_t pid)
{
    proc_table[pid].ppid          = (pid_t) -1;
    proc_table[pid].pgrp          = (pid_t) -1;
    proc_table[pid].uid           = (uid_t) -1;
    proc_table[pid].euid          = (uid_t) -1;
    proc_table[pid].suid          = (uid_t) -1;
    proc_table[pid].gid           = (gid_t) -1;
    proc_table[pid].egid          = (gid_t) -1;
    proc_table[pid].sgid          = (gid_t) -1;
    proc_table[pid].sig_status    = 0;
    proc_table[pid].sig_ignore    = 0;
    proc_table[pid].usage         = (clock_t) 0;
    proc_table[pid].status        = PROC_EMPTY;
    proc_table[pid].wakeup_events = 0;
    proc_table[pid].wakeup_signal = 0;
    proc_table[pid].wakeup_timer  = 0;
    proc_table[pid].wakeup_inode  = NULL;
    proc_table[pid].address_text  = (addr_t) 0;
    proc_table[pid].domain_text   = (size_t) 0;
    proc_table[pid].address_data  = (addr_t) 0;
    proc_table[pid].domain_data   = (size_t) 0;
    proc_table[pid].domain_stack  = (size_t) 0;
    proc_table[pid].extra_data    = (size_t) 0;
    proc_table[pid].sp            = (uint32_t) 0;
    proc_table[pid].ret           = 0;
    proc_table[pid].inode_cwd     = NULL;
    proc_table[pid].path_cwd[0]   = 0;
    proc_table[pid].umask         = 0;
    proc_table[pid].name[0]       = 0;
}
