#include <unistd.h>
#include <stdio.h>
//----------------------------------------------------------------------
size_t
fread (void *restrict buffer, size_t size, size_t nmemb,
       FILE *restrict fp)
{
    ssize_t size_read;
    size_read = read (fp->fdn, buffer, (size_t) (size * nmemb));
    if (size_read == 0)
      {
        fp->eof = 1;
        return ((size_t) 0);
      }
    else if (size_read < 0)
      {
        fp->error = 1;
        return ((size_t) 0);
      }
    else
      {
        return ((size_t) (size_read / size));
      }
}
