#include <sys/os32.h>
#include <errno.h>
#include <string.h>
#include <stdio.h>
//----------------------------------------------------------------------
int
listen (int sfdn, int backlog)
{
    sysmsg_listen_t msg;
    //
    // Fill the message.
    //
    msg.sfdn    = sfdn;
    msg.backlog = backlog;
    msg.ret     = 0;
    //
    // Syscall.
    //
    sys (SYS_LISTEN, &msg, (sizeof msg));
    //
    // Check return value.
    //
    if (msg.ret < 0)
      {
        //
        // Something wrong.
        //
        errno = msg.errno;
        errln = msg.errln;
	strncpy (errfn, msg.errfn, PATH_MAX);
      }
    //
    // Return.
    //
    return (msg.ret);
}
